---
title: GET /v3/multipart-uploads/{id}/status
slug: content-marketing-platform/api/get-v3multipart-uploadsidstatus
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "b59ai73JKccB1r2reGbxx",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /v3/multipart-uploads/{id}/status",
    "description": "<p>Experimental Retrieve the current status of a multipart upload</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "abcdef1234567890",
          "description": "ID of the multipart upload to check status for"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successfully retrieved upload status",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "ID of the multipart upload",
                "example": "abcdef1234567890"
              },
              {
                "name": "key",
                "kind": "required",
                "type": "string",
                "description": "<p>Unique identifier of the file combining all parts. <strong>This key will be needed for various file / attachment addition to different CMP resources using endpoints e.g. <code>POST /v3/assets</code>, <code>POST /v3/campaigns/{id}/attachments</code> etc.</strong></p>",
                "example": "ce8995aea58b11ea8cd90242ac120005/abcdef1234567890"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<UPLOAD_COMPLETION_NOT_STARTED | UPLOAD_COMPLETION_IN_PROGRESS | UPLOAD_COMPLETION_SUCCEEDED | UPLOAD_COMPLETION_FAILED>",
                "description": "Current status of the upload",
                "example": "UPLOAD_COMPLETION_IN_PROGRESS",
                "enum": [
                  "UPLOAD_COMPLETION_NOT_STARTED",
                  "UPLOAD_COMPLETION_IN_PROGRESS",
                  "UPLOAD_COMPLETION_SUCCEEDED",
                  "UPLOAD_COMPLETION_FAILED"
                ]
              },
              {
                "name": "status_message",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Detailed status message",
                "example": "Some error message related to the status"
              },
              {
                "name": "expires_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "Expiration time of the upload",
                "example": "2025-03-03T12:00:00Z",
                "format": "date-time"
              },
              {
                "name": "links",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "self",
                    "kind": "required",
                    "type": "string<uri>",
                    "description": "URL to this status endpoint",
                    "example": "https://api.cmp.optimizely.com/v3/multipart-uploads/abcdef1234567890/status",
                    "format": "uri"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "eK0lwtuL668ZfwcYDWp1l",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status \\\n     --header 'accept: application/json'"
        },
        {
          "id": "h6kMx_I-sEdwfGB-nP5_T",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "dYjoiNqA0pMJeI52xyjtZ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "WI-uOYNXOLUGYTj199jMB",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "eK0lwtuL668ZfwcYDWp1l"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successfully retrieved upload status\n{\n  \"id\": \"abcdef1234567890\",\n  \"key\": \"ce8995aea58b11ea8cd90242ac120005/abcdef1234567890\",\n  \"status\": \"UPLOAD_COMPLETION_IN_PROGRESS\",\n  \"status_message\": \"Some error message related to the status\",\n  \"expires_at\": \"2025-03-03T12:00:00Z\",\n  \"links\": {\n    \"self\": \"https://api.cmp.optimizely.com/v3/multipart-uploads/abcdef1234567890/status\"\n  }\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}